-- Arma Stat Changes
-- Author: Armakoir
-- DateCreated: 9/10/2017 9:20:02 PM
--------------------------------------------------------------
UPDATE Units SET RangedCombat=0 WHERE RangedCombat >= 0 AND Domain = 'DOMAIN_LAND';
UPDATE Units SET RangedCombat=0 WHERE RangedCombat >= 0 AND Domain = 'DOMAIN_SEA';
UPDATE Units SET Range=0 WHERE Range >= 0 AND Domain = 'DOMAIN_LAND';
UPDATE Units SET Range=0 WHERE Range >= 0 AND Domain = 'DOMAIN_SEA';
UPDATE Units SET BaseSightRange=1 WHERE BaseSightRange >= 1 AND Domain = 'DOMAIN_LAND';
UPDATE Units SET BaseSightRange=1 WHERE BaseSightRange >= 1 AND Domain = 'DOMAIN_SEA';


/* PROMOTION_CLASS_MELEE */
UPDATE Units SET Combat = '20' WHERE UnitType = 'UNIT_WARRIOR';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_MELEE', Combat = '25' WHERE UnitType = 'UNIT_SPEARMAN';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_MELEE', Combat = '25' WHERE UnitType = 'UNIT_PHALANX';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_MELEE', Combat = '25' WHERE UnitType = 'UNIT_GREEK_HOPLITE';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_MELEE', Combat = '35' WHERE UnitType = 'UNIT_PIKEMAN';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_MELEE', Combat = '35', MustPurchase = '0' WHERE UnitType = 'UNIT_LANDSKNECHT';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_MELEE', Combat = '35' WHERE UnitType = 'UNIT_SOHEI';
UPDATE Units SET Combat = '50' WHERE UnitType = 'UNIT_MUSKETMAN';
UPDATE Units SET Combat = '50', Cost = '240', PromotionClass = 'PROMOTION_CLASS_MELEE' WHERE UnitType = 'UNIT_TERCIO';
UPDATE Units SET Combat = '50' WHERE UnitType = 'UNIT_FRENCH_MARINE';
UPDATE Units SET Combat = '55' WHERE UnitType = 'UNIT_RIFLEMAN';
UPDATE Units SET Combat = '55' WHERE UnitType = 'UNIT_FATHERLAND_VOLUNTEER';
UPDATE Units SET Combat = '55' WHERE UnitType = 'UNIT_SEPOY';
UPDATE Units SET Combat = '55' WHERE UnitType = 'UNIT_ARMATOLOS';
UPDATE Units SET Combat = '55' WHERE UnitType = 'UNIT_ENGLISH_REDCOAT';
UPDATE Units SET Combat = '55', PrereqTech = 'TECH_RIFLING' WHERE UnitType = 'UNIT_FRENCH_GARDE_IMPERIALE';
UPDATE Units SET Combat = '70' WHERE UnitType = 'UNIT_INFANTRY';
UPDATE Units SET Combat = '30', Cost = '120' WHERE UnitType = 'UNIT_SWORDSMAN';
UPDATE Units SET Combat = '30', Cost = '120' WHERE UnitType = 'UNIT_HIRDMAN';
UPDATE Units SET Combat = '30', Cost = '120' WHERE UnitType = 'UNIT_ROMAN_LEGION';
UPDATE Units SET Combat = '30', Cost = '120' WHERE UnitType = 'UNIT_KONGO_SHIELD_BEARER';
UPDATE Units SET Combat = '30', Cost = '120' WHERE UnitType = 'UNIT_VULTURE';
UPDATE Units SET Combat = '40', Cost = '180' WHERE UnitType = 'UNIT_MACEMAN';
UPDATE Units SET Combat = '40', Cost = '180', PrereqTech = 'TECH_CASTLES' WHERE UnitType = 'UNIT_JAPANESE_SAMURAI';
UPDATE Units SET Combat = '40', Cost = '180' WHERE UnitType = 'UNIT_GHAZI';
UPDATE Units SET Combat = '40', Cost = '180', PrereqTech = 'TECH_CASTLES' WHERE UnitType = 'UNIT_NORWEGIAN_BERSERKER';
UPDATE Units SET BaseMoves = '4' WHERE PromotionClass = 'PROMOTION_CLASS_MELEE';
UPDATE Units SET ZoneOfControl = '1' WHERE PromotionClass = 'PROMOTION_CLASS_MELEE';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_LAND_COMBAT' WHERE PromotionClass = 'PROMOTION_CLASS_MELEE';
UPDATE Units SET BaseMoves = '5', Combat = '75' WHERE UnitType = 'UNIT_MECHANIZED_INFANTRY';
UPDATE Units SET BaseMoves = '5', Combat = '75' WHERE UnitType = 'UNIT_GARDE_REPUBLICAINE';
--UPDATE Units SET RangedCombat=0 WHERE PromotionClass = 'PROMOTION_CLASS_MELEE';
--UPDATE Units SET Range=0 WHERE PromotionClass = 'PROMOTION_CLASS_MELEE';
--UPDATE Units SET BaseSightRange = '1' WHERE PromotionClass = 'PROMOTION_CLASS_MELEE';


/* PROMOTION_CLASS_ANTICAV */
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', Combat = '50', RangedCombat = '0', Range = '0' WHERE UnitType = 'UNIT_AT_CREW';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', Combat = '64', RangedCombat = '0', Range = '0' WHERE UnitType = 'UNIT_MODERN_AT';
UPDATE Units SET BaseMoves = '4' WHERE PromotionClass = 'PROMOTION_CLASS_ANTI_CAVALRY';
UPDATE Units SET ZoneOfControl = '1' WHERE PromotionClass = 'PROMOTION_CLASS_ANTI_CAVALRY';
--UPDATE Units SET BaseSightRange = '1' WHERE PromotionClass = 'PROMOTION_CLASS_ANTI_CAVALRY';


/* PROMOTION_CLASS_RECON */
--UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_RECON' WHERE UnitType = 'UNIT_MODERN_SNIPER';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_RECON' WHERE UnitType = 'UNIT_MINUTEMAN';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_RECON' WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', Combat = '10' WHERE UnitType = 'UNIT_SCOUT';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', Combat = '15' WHERE UnitType = 'UNIT_AMAZON_SCOUT';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', Cost = '180', Combat = '34' WHERE UnitType = 'UNIT_EXPLORER';
UPDATE Units SET Cost = '180', Combat = '34', PrereqTech = 'TECH_CARTOGRAPHY' WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET BaseMoves = '4' WHERE PromotionClass = 'PROMOTION_CLASS_RECON';
UPDATE Units SET BaseSightRange = '2' WHERE PromotionClass = 'PROMOTION_CLASS_RECON';
UPDATE Units SET ZoneOfControl = '0' WHERE PromotionClass = 'PROMOTION_CLASS_RECON';
UPDATE Units SET Combat = '50' WHERE UnitType = 'UNIT_RANGER'; 
UPDATE Units SET Combat = '50', PrereqTech = 'TECH_RIFLING' WHERE UnitType = 'UNIT_MINUTEMAN';
UPDATE Units SET Combat = '50' WHERE UnitType = 'UNIT_BANDEIRANTE';
UPDATE Units SET Combat = '60' WHERE UnitType = 'UNIT_RECON';
UPDATE Units SET Combat = '70', PrereqTech = 'TECH_LASERS' WHERE UnitType = 'UNIT_MODERN_SNIPER'; 
--UPDATE Units SET RangedCombat=0 WHERE PromotionClass = 'PROMOTION_CLASS_RECON';
--UPDATE Units SET Range=0 WHERE PromotionClass = 'PROMOTION_CLASS_RECON';


/* PROMOTION_CLASS_RANGED */
UPDATE Units SET Combat = '10' WHERE UnitType = 'UNIT_SLINGER';
UPDATE Units SET Cost = '50' WHERE UnitType = 'UNIT_ARCHER';
UPDATE Units SET Cost = '50', Combat = '19' WHERE UnitType = 'UNIT_PELTAST';
UPDATE Units SET Cost = '50', Combat = '19' WHERE UnitType = 'UNIT_HYKSOS_BOWMAN';
UPDATE Units SET Cost = '135' WHERE UnitType = 'UNIT_CROSSBOWMAN';
UPDATE Units SET Cost = '135', Combat = '34' WHERE UnitType = 'UNIT_CHOKONU';
UPDATE Units SET Cost = '135' WHERE UnitType = 'UNIT_LONGBOWMAN';
UPDATE Units SET Cost = '262', Combat = '45', PromotionClass = 'PROMOTION_CLASS_RANGED' WHERE UnitType = 'UNIT_GATLING_GUN';
UPDATE Units SET Cost = '400', Combat = '64', AntiAirCombat = '50' WHERE UnitType = 'UNIT_MACHINE_GUN';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_RANGED' WHERE UnitType = 'UNIT_SNIPER';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_RANGED' WHERE UnitType = 'UNIT_ANTIAIR_GUN';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_RANGED' WHERE UnitType = 'UNIT_MOBILE_SAM';
UPDATE Units SET BaseMoves = '4' WHERE PromotionClass = 'PROMOTION_CLASS_RANGED';
UPDATE Units SET ZoneOfControl = '1' WHERE PromotionClass = 'PROMOTION_CLASS_RANGED';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT' WHERE PromotionClass = 'PROMOTION_CLASS_RANGED';
--UPDATE Units SET BaseSightRange = '1' WHERE PromotionClass = 'PROMOTION_CLASS_RANGED';
--UPDATE Units SET RangedCombat=0 WHERE PromotionClass = 'PROMOTION_CLASS_RANGED';
--UPDATE Units SET Range=0 WHERE PromotionClass = 'PROMOTION_CLASS_RANGED';
--UPDATE Units SET BaseMoves = '4', FormationClass = 'FORMATION_CLASS_SUPPORT', PromotionClass = 'PROMOTION_CLASS_RECON', PrereqTech = 'TECH_ADVANCED_BALLISTICS', ZoneOfControl = '1', Combat = '55', RangedCombat = '0', Range = '0', BaseSightRange = '2', Cost = '300' WHERE UnitType = 'UNIT_SNIPER';
UPDATE Units SET Combat = '50', Cost = '400'  WHERE UnitType = 'UNIT_ANTIAIR_GUN';
UPDATE Units SET BaseMoves = '5', Combat = '64' WHERE UnitType = 'UNIT_MOBILE_SAM';


/* PROMOTION_CLASS_SIEGE */
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_SIEGE' WHERE UnitType = 'UNIT_FIELD_CANNON';
UPDATE Units SET Combat = '15', PromotionClass = 'PROMOTION_CLASS_SIEGE' WHERE UnitType = 'UNIT_BATTERING_RAM';
UPDATE Units SET Combat = '15', PromotionClass = 'PROMOTION_CLASS_SIEGE' WHERE UnitType = 'UNIT_SIEGE_TOWER';
UPDATE Units SET Combat = '23' WHERE UnitType = 'UNIT_CATAPULT';
UPDATE Units SET Combat = '23' WHERE UnitType = 'UNIT_ONAGER';
UPDATE Units SET Cost = '180' WHERE UnitType = 'UNIT_TREBUCHET';
UPDATE Units SET Combat = '34', Cost = '180', PromotionClass = 'PROMOTION_CLASS_SIEGE', PrereqTech = 'TECH_MILITARY_ENGINEERING' WHERE UnitType = 'UNIT_CHINESE_CROUCHING_TIGER';
UPDATE Units SET Cost = '240', MandatoryObsoleteTech = 'TECH_STEEL' WHERE UnitType = 'UNIT_BOMBARD';
UPDATE Units SET BaseMoves = '4' WHERE PromotionClass = 'PROMOTION_CLASS_SIEGE';
UPDATE Units SET ZoneOfControl = '1' WHERE PromotionClass = 'PROMOTION_CLASS_SIEGE';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT' WHERE PromotionClass = 'PROMOTION_CLASS_SIEGE';
UPDATE Units SET Bombard=0 WHERE PromotionClass = 'PROMOTION_CLASS_SIEGE';
UPDATE Units SET Combat = '49', Range = '1', Bombard = '60', Cost = '350' WHERE UnitType = 'UNIT_FIELD_CANNON';
UPDATE Units SET Combat = '64', Range = '1', Bombard = '70' WHERE UnitType = 'UNIT_ARTILLERY';
UPDATE Units SET Combat = '64', Range = '1', Bombard = '80', BaseMoves = '5' WHERE UnitType = 'UNIT_ROCKET_ARTILLERY';
--UPDATE Units SET BaseSightRange = '1' WHERE PromotionClass = 'PROMOTION_CLASS_SIEGE';
--UPDATE Units SET RangedCombat=0 WHERE PromotionClass = 'PROMOTION_CLASS_SIEGE';
--UPDATE Units SET Range=0 WHERE PromotionClass = 'PROMOTION_CLASS_SIEGE';


/* PROMOTION_CLASS_LIGHT_CAVALRY */
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY' WHERE UnitType = 'UNIT_BARBARIAN_HORSE_ARCHER';
UPDATE Units SET Cost = '90', Combat = '20' WHERE UnitType = 'UNIT_HORSEMAN';
UPDATE Units SET Cost = '90', Combat = '20' WHERE UnitType = 'UNIT_EQUITE';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY', Cost = '90', Combat = '20', Bombard = '25', Range = '1' WHERE UnitType = 'UNIT_CAMEL_ARCHER';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY', Cost = '90', Combat = '20', Bombard = '25', Range = '1' WHERE UnitType = 'UNIT_SCYTHIAN_HORSE_ARCHER';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY', Combat = '19', Cost = '65', Bombard = '30', Range = '1' WHERE UnitType = 'UNIT_EGYPTIAN_CHARIOT_ARCHER';
UPDATE Units SET Cost = '135', Combat = '25' WHERE UnitType = 'UNIT_MEDIEVAL_HORSEMAN';
UPDATE Units SET Cost = '135', Combat = '25' WHERE UnitType = 'UNIT_DRUZHINA';
UPDATE Units SET Cost = '135', Combat = '25', Bombard = '30', Range = '1' WHERE UnitType = 'UNIT_JINETE';
UPDATE Units SET Cost = '262', Combat = '35', MandatoryObsoleteTech = 'TECH_PLASTICS' WHERE UnitType = 'UNIT_CAVALRY';
UPDATE Units SET Cost = '262', Combat = '35', MandatoryObsoleteTech = 'TECH_PLASTICS' WHERE UnitType = 'UNIT_RUSSIAN_COSSACK';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY', Cost = '262', Combat = '35', PrereqTech = 'TECH_MILITARY_SCIENCE', MandatoryObsoleteTech = 'TECH_PLASTICS' WHERE UnitType = 'UNIT_AMERICAN_ROUGH_RIDER';
UPDATE Units SET BaseMoves = '6' WHERE PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units SET BaseSightRange = '3' WHERE PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units SET ZoneOfControl = '1' WHERE PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT' WHERE PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units SET BaseMoves = '7', FormationClass = 'FORMATION_CLASS_SUPPORT', PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY', Combat = '64', Bombard = '85', Range = '1', BaseSightRange = '3' WHERE UnitType = 'UNIT_AMERICAN_AH64_APACHE';


/* PROMOTION_CLASS_HEAVY_CAVALRY */
UPDATE Units SET Combat = '30' WHERE UnitType = 'UNIT_HEAVY_CHARIOT';
UPDATE Units SET Combat = '30', Cost = '65' WHERE UnitType = 'UNIT_SUMERIAN_WAR_CART';
UPDATE Units SET Combat = '30' WHERE UnitType = 'UNIT_INDIAN_VARU';
UPDATE Units SET Combat = '40', Cost = '180', MandatoryObsoleteTech = 'TECH_COMBUSTION' WHERE UnitType = 'UNIT_KNIGHT';
UPDATE Units SET Combat = '40', Cost = '180', MandatoryObsoleteTech = 'TECH_COMBUSTION' WHERE UnitType = 'UNIT_ARABIAN_MAMLUK';
UPDATE Units SET Combat = '40', Cost = '180', MandatoryObsoleteTech = 'TECH_COMBUSTION' WHERE UnitType = 'UNIT_AMAZON';
UPDATE Units SET Combat = '40', Cost = '180', MandatoryObsoleteTech = 'TECH_COMBUSTION' WHERE UnitType = 'UNIT_MUGHAL_SOWAR';
UPDATE Units SET Combat = '40', Cost = '180', MandatoryObsoleteTech = 'TECH_COMBUSTION' WHERE UnitType = 'UNIT_GENDARME';
UPDATE Units SET Combat = '65', Cost = '350', MandatoryObsoleteTech = 'TECH_COMBUSTION' WHERE UnitType = 'UNIT_CUIRASSIER';
UPDATE Units SET Combat = '65', Cost = '350', MandatoryObsoleteTech = 'TECH_COMBUSTION' WHERE UnitType = 'UNIT_ENGLISH_IRONSIDE';
UPDATE Units SET Combat = '75' WHERE UnitType = 'UNIT_TANK';
UPDATE Units SET Combat = '75', Cost = '480' WHERE UnitType = 'UNIT_PANZER';
UPDATE Units SET Combat = '75', Cost = '430' WHERE UnitType = 'UNIT_T34';
UPDATE Units SET Combat = '85' WHERE UnitType = 'UNIT_MODERN_ARMOR';
UPDATE Units SET BaseMoves = '5' WHERE PromotionClass = 'PROMOTION_CLASS_HEAVY_CAVALRY';
--UPDATE Units SET BaseSightRange = '1' WHERE PromotionClass = 'PROMOTION_CLASS_HEAVY_CAVALRY';
UPDATE Units SET ZoneOfControl = '1' WHERE PromotionClass = 'PROMOTION_CLASS_HEAVY_CAVALRY';


/* PROMOTION_CLASS_SUPPORT (but FORMATION_CLASS_CIVILIAN) */
--UPDATE Units SET Combat = '0' WHERE UnitType = 'UNIT_MEDICINE_MAN';
--UPDATE Units SET Combat = '0' WHERE UnitType = 'UNIT_SHIGONG';
--UPDATE Units SET Combat = '0' WHERE UnitType = 'UNIT_NORWEGIAN_ULFHEDNAR';
--UPDATE Units SET Combat = '0' WHERE UnitType = 'UNIT_MILITARY_ENGINEER';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_SUPPORT' WHERE UnitType = 'UNIT_HELICOPTER';
UPDATE Units SET Cost = '262' WHERE UnitType = 'UNIT_MEDIC';
UPDATE Units SET BaseMoves = '4' WHERE PromotionClass = 'PROMOTION_CLASS_SUPPORT';
UPDATE Units SET ZoneOfControl = '0' WHERE PromotionClass = 'PROMOTION_CLASS_SUPPORT';
UPDATE Units SET Combat = '0' WHERE PromotionClass = 'PROMOTION_CLASS_SUPPORT';
UPDATE Units SET FormationClass = 'FORMATION_CLASS_CIVILIAN' WHERE PromotionClass = 'PROMOTION_CLASS_SUPPORT';
UPDATE Units SET BaseMoves = '7', BaseSightRange = '2', Cost = '450' WHERE UnitType = 'UNIT_HELICOPTER';
--UPDATE Units SET BaseSightRange = '1' WHERE PromotionClass = 'PROMOTION_CLASS_SUPPORT';
--UPDATE Units SET RangedCombat = '0' WHERE PromotionClass = 'PROMOTION_CLASS_SUPPORT';
--UPDATE Units SET Range = '0' WHERE PromotionClass = 'PROMOTION_CLASS_SUPPORT';


/* NAVAL UNITS */
UPDATE Units SET BaseMoves = '4', Combat = '25' WHERE UnitType = 'UNIT_GALLEY';
UPDATE Units SET BaseMoves = '4', Combat = '25' WHERE UnitType = 'UNIT_NORWEGIAN_LONGSHIP';
UPDATE Units SET BaseMoves = '4', Combat = '30' WHERE UnitType = 'UNIT_QUADRIREME';
UPDATE Units SET BaseMoves = '4', Combat = '35' WHERE UnitType = 'UNIT_WAR_GALLEY'; 

UPDATE Units SET BaseMoves = '5', Combat = '40', BaseSightRange = '3' WHERE UnitType = 'UNIT_CARAVEL';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_NAVAL_MELEE', BaseMoves = '5', Combat = '50' WHERE UnitType = 'UNIT_FRIGATE';  
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_NAVAL_MELEE', BaseMoves = '5', Combat = '45' WHERE UnitType = 'UNIT_PRIVATEER';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_NAVAL_MELEE', BaseMoves = '5', Combat = '45' WHERE UnitType = 'UNIT_ENGLISH_SEADOG';
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_NAVAL_RANGED', BaseMoves = '5', Combat = '55' WHERE UnitType = 'UNIT_IRONCLAD';

UPDATE Units SET BaseMoves = '6', Combat = '65', Cost = '430', BaseSightRange = '2', PrereqTech = 'TECH_STEEL' WHERE UnitType = 'UNIT_DESTROYER';
UPDATE Units SET BaseMoves = '6', Combat = '75', Cost = '540', BaseSightRange = '2', PrereqTech = 'TECH_COMBINED_ARMS' WHERE UnitType = 'UNIT_BATTLESHIP';
UPDATE Units SET BaseMoves = '6', Combat = '80', Cost = '540', BaseSightRange = '2', PrereqTech = 'TECH_COMBINED_ARMS' WHERE UnitType = 'UNIT_YAMATO';
UPDATE Units SET BaseMoves = '6', Combat = '80', Cost = '540', BaseSightRange = '2' WHERE UnitType = 'UNIT_BRAZILIAN_MINAS_GERAES';

UPDATE Units SET BaseMoves = '6', Combat = '75', Range = '2', Bombard = '85', BaseSightRange = '2' WHERE UnitType = 'UNIT_MISSILE_CRUISER';
UPDATE Units SET BaseMoves = '6', Combat = '70', BaseSightRange = '2' WHERE UnitType = 'UNIT_SUBMARINE';
UPDATE Units SET BaseMoves = '6', Combat = '70', BaseSightRange = '2' WHERE UnitType = 'UNIT_GERMAN_UBOAT';
UPDATE Units SET BaseMoves = '6', Combat = '80', BaseSightRange = '2' WHERE UnitType = 'UNIT_NUCLEAR_SUBMARINE';
UPDATE Units SET BaseMoves = '6', Combat = '60', BaseSightRange = '3', FormationClass = 'FORMATION_CLASS_SUPPORT' WHERE UnitType = 'UNIT_AIRCRAFT_CARRIER';

/* AIR UNITS */
UPDATE Units SET PrereqTech = 'TECH_FLIGHT', Cost = '450' WHERE UnitType = 'UNIT_FIGHTER';
UPDATE Units SET PrereqTech = 'TECH_FLIGHT', Cost = '450' WHERE UnitType = 'UNIT_AMERICAN_P51';

DELETE FROM Units WHERE UnitType = 'UNIT_OBSERVATION_BALLOON';
INSERT INTO Units (UnitType, BaseMoves, Cost, AdvisorType, BaseSightRange, ZoneOfControl, Domain, FormationClass, Name, Description, CanCapture, PurchaseYield, PseudoYieldType, IgnoreMoves, PromotionClass, Maintenance, Combat, RangedCombat, Range, PrereqTech, Stackable, CanTargetAir) VALUES ('UNIT_OBSERVATION_BALLOON', '4', '240', 'ADVISOR_CONQUEST', '2', '0', 'DOMAIN_AIR', 'FORMATION_CLASS_AIR', 'LOC_UNIT_OBSERVATION_BALLOON_NAME', 'LOC_UNIT_OBSERVATION_BALLOON_DESCRIPTION', '0', 'YIELD_GOLD', 'PSEUDOYIELD_UNIT_AIR_COMBAT', '1', 'PROMOTION_CLASS_SUPPORT', '2', '0', '0', '4', 'TECH_FLIGHT', '1', '1');

UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_SUPPORT', BaseMoves = '10', BaseSightRange = '4', Combat = '0', RangedCombat = '0', Range = '10', PrereqTech = 'TECH_ROBOTICS' WHERE UnitType = 'UNIT_BIPLANE';


