-- DLC & MOAR Units
-- Author: Armakoir
-- DateCreated: 11/28/2017 4:19:39 PM
--------------------------------------------------------------
UPDATE LocalizedText SET Text='Protective (Move 4, Vision 1) Heals after a combat victory.' 
	WHERE Tag='LOC_UNIT_JANISSARY_DESCRIPTION';

/* AUSTRALIA */
UPDATE LocalizedText SET Text='Australia Unique. Protective (Move 4, Vision 1) Bonus [ICON_Strength] when fighting on Coastal tiles. Bonus [ICON_Strength] when fighting on Neutral or Foreign Territory.' 
	WHERE Tag='LOC_UNIT_DIGGER_DESCRIPTION';

UPDATE LocalizedText SET Text='Australia Unique. Support (Move 4, Vision 1) Bonus [ICON_Strength] when attacking non-District tiles. Bonus [ICON_Strength] to Adjacent defending units.' 
	WHERE Tag='LOC_UNIT_WOOMERA_DESCRIPTION';

UPDATE LocalizedText SET Text='Australia Unique. Protective (Move 4, Vision 2) Bonus [ICON_Strength] when fighting on Desert or Plains. Stealth and Reveal Stealth. Infiltrate enemy controlled territory. Always fights at full strength. Bonus [ICON_Strength] when attacking but reduced combat strength when defending.' 
	WHERE Tag='LOC_UNIT_SASR_DESCRIPTION';

/* AZTEC */
UPDATE LocalizedText SET Text='Aztec Unique. Protective (Move 4, Vision 1) May turn defeated enemy units into friendly Builders.' 
	WHERE Tag='LOC_UNIT_AZTEC_EAGLE_WARRIOR_DESCRIPTION';

UPDATE LocalizedText SET Text='Aztec Unique. Protective (Move 4, Vision 1) Bonus [ICON_Strength] when attacking but reduced combat strength when defending. May turn defeated enemy units into friendly Builders' 
	WHERE Tag='LOC_UNIT_JAGUAR_DESCRIPTION';

UPDATE LocalizedText SET Text='Aztec Unique. Civilian (Move 4, Vision 1) Adjacent Melee, Anti-Cavalry and Ranged units fight at full strength when damaged and earn Great General points from kills. Can be purchased with Faith. ' 
	WHERE Tag='LOC_UNIT_WARRIOR_PRIEST_DESCRIPTION';


/* INDONESIA */
UPDATE LocalizedText SET Text='Indonesia Unique. Protective (Move 6, Vision 1) Bonus [ICON_Strength] in formations and shares its Movement with its formation.' 
	WHERE Tag='LOC_UNIT_INDONESIAN_JONG_DESCRIPTION';


/* KHMER */
UPDATE LocalizedText SET Text='Khmer Unique. Support (Move 4, Vision 1) Move and Shoot. Battering Ram. Bonus [ICON_Strength] when attacking districts.' 
	WHERE Tag='LOC_UNIT_KHMER_DOMREY_DESCRIPTION';

/* NUBIA */
UPDATE LocalizedText SET Text='Nubian Unique. Support (Move 5, Vision 2) Bonus [ICON_Strength] to Adjacent defending units.' 
	WHERE Tag='LOC_UNIT_NUBIAN_PITATI_DESCRIPTION';


/* MACEDONIA */
UPDATE LocalizedText SET Text='Macedonian Unique. Protective (Move 4, Vision 1) Bonus [ICON_Strength] versus Districts. Bonus [ICON_Strength] when attacking but reduced combat strength when defending.' 
	WHERE Tag='LOC_UNIT_MACEDONIAN_HYPASPIST_DESCRIPTION';

UPDATE LocalizedText SET Text='Macedonian Unique. Protective (Move 5, Vision 1) Bonus [ICON_Strength] versus Districts. Additional Support Bonuses. Bonus [ICON_Strength] to Adjacent attacking units.' 
	WHERE Tag='LOC_UNIT_MACEDONIAN_HETAIROI_DESCRIPTION';

UPDATE LocalizedText SET Text='Macedonian Unique. Support (Move 4, Vision 1) Battering Ram. Bonus [ICON_Strength] when attacking districts. Bonus [ICON_Strength] to Adjacent attacking or defending units.' 
	WHERE Tag='LOC_UNIT_BALLISTA_DESCRIPTION';

UPDATE LocalizedText SET Text='Macedonian Unique. Protective (Move 4, Vision 1) Defensive bonus [ICON_Strength] versus Heavy Cavalry.' 
	WHERE Tag='LOC_UNIT_PEZHETAIROS_DESCRIPTION';


/* PERSIA */
UPDATE LocalizedText SET Text='Persian Unique. Protective (Move 4, Vision 1) Bonus [ICON_Strength] when attacking but reduced combat strength when defending. ' 
	WHERE Tag='LOC_UNIT_PERSIAN_IMMORTAL_DESCRIPTION';

UPDATE LocalizedText SET Text='Persian Unique. Protective (Move 5, Vision 1) Bonus [ICON_Strength] to Adjacent attacking units. ' 
	WHERE Tag='LOC_UNIT_CATAPHRACT_DESCRIPTION';

UPDATE LocalizedText SET Text='Persian Unique. Protective (Move 4, Vision 1) Limited to Coastal waters until Cartography is researched. Bonus [ICON_Strength] to Adjacent attacking or defending units.' 
	WHERE Tag='LOC_UNIT_PERSIAN_WARSHIP_DESCRIPTION';


/* POLAND */
UPDATE LocalizedText SET Text='Polish Unique. Protective (Move 5, Vision 1) Forces an enemy to retreat or causes additional damage. Bonus [ICON_Strength] to Adjacent attacking units.' 
	WHERE Tag='LOC_UNIT_POLISH_HUSSAR_DESCRIPTION';

UPDATE LocalizedText SET Text='Polish Unique. Protective (Move 4, Vision 1) Additional healing per turn.' 
	WHERE Tag='LOC_UNIT_CHOSEN_INFANTRY_DESCRIPTION';

UPDATE LocalizedText SET Text='Polish Unique. Protective (Move 6, Vision 3) Double flanking bonus. Bonus [ICON_Strength] to Adjacent attacking units against damaged units.' 
	WHERE Tag='LOC_UNIT_UHLAN_DESCRIPTION';