-- Arma_AI
-- Author: Armakoir
-- DateCreated: 11/27/2017 8:01:41 PM
--------------------------------------------------------------

--These two changes create uniformity for the Make Formation nodes
UPDATE TreeData SET DefaultData = 'UNITTYPE_PROTECTIVE' WHERE DefaultData = 'UNITAI_COMBAT';
UPDATE TreeData SET DefaultData = 'UNITTYPE_PROTECTIVE' WHERE DefaultData = 'UNITTYPE_LAND_COMBAT';
UPDATE TreeData SET DefaultData = 'UNITTYPE_PROTECTIVE' WHERE DefaultData = 'UNITTYPE_MELEE';

UPDATE AiFavoredItems SET Value = '1' WHERE ListType = 'BaseOperationsLimits' AND Item = 'OP_SETTLE';
UPDATE AiFavoredItems SET Value = '1' WHERE ListType = 'BaseOperationsLimits' AND Item = 'OP_NUCLEAR';
UPDATE AiFavoredItems SET Value = '2' WHERE ListType = 'BaseOperationsLimits' AND Item = 'CITY_ASSAULT';

UPDATE AiOperationDefs SET MaxTargetDistInRegion = '20', MaxTargetDistInWorld = '0' WHERE OperationName = 'Settle New City';
UPDATE AiOperationDefs SET MaxTargetDistInRegion = '15', MaxTargetDistInArea = '5', MaxTargetDistInWorld = '0' WHERE TargetType = 'TARGET_BARBARIAN_CAMP';
UPDATE AiOperationDefs SET TargetParameter = '0' WHERE OperationName = 'City Defense';
UPDATE AiOperationDefs SET AllowTargetUpdate = '0' WHERE TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT';

UPDATE AllowedMoves SET Value = '4', IsHomeland = '1' WHERE AllowedMoveType = 'Leader Formation';
UPDATE AllowedMoves SET Value = '5', IsHomeland = '1' WHERE AllowedMoveType = 'Attack High Priority';
UPDATE AllowedMoves SET Value = '6' WHERE AllowedMoveType = 'Attack Camps';
UPDATE AllowedMoves SET Value = '7' WHERE AllowedMoveType = 'Defend Camps';
UPDATE AllowedMoves SET Value = '8', IsHomeland = '1' WHERE AllowedMoveType = 'Attack Medium Priority';
UPDATE AllowedMoves SET Value = '9' WHERE AllowedMoveType = 'Attack District';
UPDATE AllowedMoves SET Value = '10', IsHomeland = '0', IsTactical = '0' WHERE AllowedMoveType = 'Make Military Formation';
UPDATE AllowedMoves SET Value = '11', IsHomeland = '1' WHERE AllowedMoveType = 'Air Assault';
UPDATE AllowedMoves SET Value = '12', IsHomeland = '0', IsTactical = '0' WHERE AllowedMoveType = 'Wander';
UPDATE AllowedMoves SET Value = '13', IsHomeland = '1' WHERE AllowedMoveType = 'Air Deploy';
UPDATE AllowedMoves SET Value = '14' WHERE AllowedMoveType = 'Gather Goody Hut';
UPDATE AllowedMoves SET Value = '15' WHERE AllowedMoveType = 'Pillage Improvement';
UPDATE AllowedMoves SET Value = '16' WHERE AllowedMoveType = 'Pillage District';
UPDATE AllowedMoves SET Value = '17' WHERE AllowedMoveType = 'Coastal Raid';
UPDATE AllowedMoves SET Value = '18' WHERE AllowedMoveType = 'Promotion';
UPDATE AllowedMoves SET Value = '19', IsHomeland = '0', IsTactical = '1' WHERE AllowedMoveType = 'Charge Heal';
UPDATE AllowedMoves SET Value = '20' WHERE AllowedMoveType = 'Heal';
UPDATE AllowedMoves SET Value = '21' WHERE AllowedMoveType = 'Plunder Trader';
UPDATE AllowedMoves SET Value = '22' WHERE AllowedMoveType = 'Attack Civilians';
UPDATE AllowedMoves SET Value = '23', IsHomeland = '1' WHERE AllowedMoveType = 'Attack Low Priority';
UPDATE AllowedMoves SET Value = '24', IsHomeland = '1' WHERE AllowedMoveType = 'Chase Target';
UPDATE AllowedMoves SET Value = '25', IsHomeland = '1' WHERE AllowedMoveType = 'Air Rebase';
UPDATE AllowedMoves SET Value = '26', IsHomeland = '1' WHERE AllowedMoveType = 'Wander Near Camp';
UPDATE AllowedMoves SET Value = '27', IsHomeland = '1', IsTactical = '0' WHERE AllowedMoveType = 'Wander Near City';
UPDATE AllowedMoves SET Value = '28' WHERE AllowedMoveType = 'Great Person Move';
UPDATE AllowedMoves SET Value = '29' WHERE AllowedMoveType = 'Missionary Move';
UPDATE AllowedMoves SET Value = '30', IsTactical = '1' WHERE AllowedMoveType = 'Religious Combat';
UPDATE AllowedMoves SET Value = '31' WHERE AllowedMoveType = 'Found Park';
UPDATE AllowedMoves SET Value = '32' WHERE AllowedMoveType = 'Builder Outside Ring';
UPDATE AllowedMoves SET Value = '33' WHERE AllowedMoveType = 'Barbarian Rampage';

DELETE FROM OpTeamRequirements WHERE TeamName = 'Simple Early Attack Force';
DELETE FROM OpTeamRequirements WHERE TeamName = 'Simple City Attack Force';
DELETE FROM OpTeamRequirements WHERE TeamName = 'City Naval Attack Force';
DELETE FROM OpTeamRequirements WHERE TeamName = 'City Attack Force';
DELETE FROM OpTeamRequirements WHERE TeamName = 'Settle City Team';
DELETE FROM OpTeamRequirements WHERE TeamName = 'City Defense';
DELETE FROM OpTeamRequirements WHERE TeamName = 'Aid Ally Attack Force';
DELETE FROM OpTeamRequirements WHERE TeamName = 'Naval Superiority Force';

INSERT INTO OpTeamRequirements
	(TeamName, AiType, MinNumber, MaxNumber)
VALUES
	('Simple Early Attack Force', 'UNITTYPE_MELEE', '2', '5'),
	('Simple Early Attack Force', 'UNITTYPE_RANGED', '1', '3'),
	('Simple Early Attack Force', 'UNITTYPE_CAVALRY', NULL, '2'),
	('Simple Early Attack Force', 'UNITTYPE_GENERAL', NULL, '1'),
	('Simple Early Attack Force', 'UNITTYPE_HEALING', NULL, '1'),
	('Simple Early Attack Force', 'UNITTYPE_CIVILIAN', NULL, '0'),
		
	('Simple City Attack Force', 'UNITTYPE_MELEE', '3', '8'),
	('Simple City Attack Force', 'UNITTYPE_SIEGE', '1', '2'),
	('Simple City Attack Force', 'UNITTYPE_RANGED', NULL, '3'),
	('Simple City Attack Force', 'UNITTYPE_CAVALRY', NULL, '2'),
	('Simple City Attack Force', 'UNITTYPE_GENERAL', NULL, '1'),
	('Simple City Attack Force', 'UNITTYPE_HEALING', NULL, '1'),
	('Simple City Attack Force', 'UNITTYPE_CIVILIAN', NULL, '0'),
		
	('City Naval Attack Force', 'UNITTYPE_NAVAL_MELEE', '1', '3'),
	('City Naval Attack Force', 'UNITTYPE_NAVAL_RANGED', NULL, '2'),
	('City Naval Attack Force', 'UNITTYPE_NAVAL_SUB', NULL, '1'),
	('City Naval Attack Force', 'UNITTYPE_ADMIRAL', NULL, '1'),
		
	('City Attack Force', 'UNITTYPE_MELEE', '4', '10'),
	('City Attack Force', 'UNITTYPE_SIEGE', '1', '2'),
	('City Attack Force', 'UNITTYPE_RANGED', '1', '3'),
	('City Attack Force', 'UNITTYPE_CAVALRY', NULL, '2'),
	('City Attack Force', 'UNITTYPE_GENERAL', NULL, '1'),
	('City Attack Force', 'UNITTYPE_HEALING', NULL, '1'),
	('City Attack Force', 'UNITTYPE_CIVILIAN', NULL, '0'),
		
	('Settle City Team', 'UNITAI_SETTLE', '1', '1'),
	('Settle City Team', 'UNITTYPE_MELEE', '1', '2'),
		
	('City Defense', 'UNITTYPE_MELEE', '1', '4'),
	('City Defense', 'UNITTYPE_FIGHTER', NULL, '1'),
	('City Defense', 'UNITTYPE_NAVAL_RANGED', NULL, '1'),
	('City Defense', 'UNITTYPE_SIEGE', NULL, '1'),
	('City Defense', 'UNITTYPE_RANGED', NULL, '2'),
		
	('Aid Ally Attack Force', 'UNITTYPE_MELEE', '1', '4'),
	('Aid Ally Attack Force', 'UNITTYPE_SIEGE_SUPPORT', NULL, '2'),
		
	('Naval Superiority Force', 'UNITTYPE_NAVAL_MELEE', '1', '4'),
	('Naval Superiority Force', 'UNITTYPE_NAVAL_RANGED', NULL, '2'),
	('Naval Superiority Force', 'UNITTYPE_ADMIRAL', NULL, '1');