-- Arma_Abilities
-- Author: Armakoir
-- DateCreated: 11/29/2017 10:47:22 AM
--------------------------------------------------------------
INSERT INTO Tags
		(Tag, Vocabulary)
VALUES
		('CLASS_NAVAL', 'ABILITY_CLASS'),
		('CLASS_NAVAL_SUPPORT', 'ABILITY_CLASS'),
		('CLASS_NAVAL_SUB', 'ABILITY_CLASS'),
		('CLASS_IRREGULAR', 'ABILITY_CLASS'),
		('CLASS_SHOCK', 'ABILITY_CLASS'),
		('CLASS_GRUNT', 'ABILITY_CLASS');


INSERT INTO Types
		(Type, Kind)
VALUES
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_IRREGULAR_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_SHOCK_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_GRUNT_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_SIEGE_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_NAVAL_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_SUBMARINE_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_RAIDER_RECEIVE_SUPPORT', 'KIND_ABILITY'),
		('ABILITY_SIEGE_DISTRICTS', 'KIND_ABILITY'),

		('ABILITY_SASR_ARMA', 'KIND_ABILITY');


INSERT INTO TypeTags
		(Type, Tag)
		VALUES
		('ABILITY_COMMUNISM_DEFENSE_BUFF', 'CLASS_NAVAL'),
		('ABILITY_FASCISM_ATTACK_BUFF', 'CLASS_NAVAL'),
		('ABILITY_COMMUNISM_DEFENSE_BUFF', 'CLASS_BATTERING_RAM'),
		('ABILITY_FASCISM_ATTACK_BUFF', 'CLASS_BATTERING_RAM'),
		
		('ABILITY_STEALTH', 'CLASS_RECON'),
		('ABILITY_STEALTH', 'CLASS_TRADER'),
		('ABILITY_RELIGIOUS_ENTER_FOREIGN_LANDS', 'CLASS_NAVAL_SUB'),
		('ABILITY_ENABLE_WALL_ATTACK', 'CLASS_NAVAL_SUPPORT'),
		('ABILITY_BERSERKER_RAGE', 'CLASS_IRREGULAR'),
		('ABILITY_BERSERKER_RAGE', 'CLASS_SHOCK'),

		('ABILITY_IRREGULAR_RECEIVE_SUPPORT', 'CLASS_IRREGULAR'),
		('ABILITY_SHOCK_RECEIVE_SUPPORT', 'CLASS_SHOCK'),

		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'CLASS_ANTI_CAVALRY'),
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'CLASS_MELEE'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'CLASS_RECON'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'CLASS_RANGED'),
		('ABILITY_SIEGE_RECEIVE_SUPPORT', 'CLASS_SIEGE'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'CLASS_LIGHT_CAVALRY'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'CLASS_HEAVY_CAVALRY'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'CLASS_RANGED_CAVALRY'),
		('ABILITY_NAVAL_RECEIVE_SUPPORT', 'CLASS_NAVAL_MELEE'),
		('ABILITY_SUBMARINE_RECEIVE_SUPPORT', 'CLASS_NAVAL_SUB'),
		('ABILITY_RAIDER_RECEIVE_SUPPORT', 'CLASS_NAVAL_RAIDER'),
		('ABILITY_SIEGE_DISTRICTS', 'CLASS_BATTERING_RAM');

				/*('ABILITY_RELIGIOUS_ENTER_FOREIGN_LANDS', 'CLASS_SPECIAL_FORCES'),
				('ABILITY_SAMURAI', 'CLASS_SPECIAL_FORCES'),
				('ABILITY_RELIGIOUS_ENTER_FOREIGN_LANDS', 'CLASS_UAV'),
				('ABILITY_STEALTH', 'CLASS_UAV'),*/
		
DELETE FROM TypeTags WHERE Type = 'ABILITY_UNOBSTRUCTED_VIEW' AND Tag = 'CLASS_AIRCRAFT';
		
DELETE FROM TypeTags WHERE Type = 'ABILITY_IGNORE_ZOC' AND Tag = 'CLASS_HEAVY_CAVALRY';
DELETE FROM TypeTags WHERE Type = 'ABILITY_IGNORE_ZOC' AND Tag = 'CLASS_NAVAL_RAIDER';
DELETE FROM TypeTags WHERE Type = 'ABILITY_IGNORE_ZOC' AND Tag = 'CLASS_WAR_CART';
DELETE FROM TypeTags WHERE Type = 'ABILITY_IGNORE_ZOC' AND Tag = 'CLASS_RANGED_CAVALRY';
DELETE FROM TypeTags WHERE Type = 'ABILITY_IGNORE_ZOC' AND Tag = 'CLASS_LIGHT_CAVALRY';

DELETE FROM TypeTags WHERE Type = 'ABILITY_COMMUNISM_DEFENSE_BUFF' AND Tag = 'CLASS_HEAVY_CHARIOT';
DELETE FROM TypeTags WHERE Type = 'ABILITY_COMMUNISM_DEFENSE_BUFF' AND Tag = 'CLASS_LIGHT_CHARIOT';
DELETE FROM TypeTags WHERE Type = 'ABILITY_COMMUNISM_DEFENSE_BUFF' AND Tag = 'CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type = 'ABILITY_FASCISM_ATTACK_BUFF' AND Tag = 'CLASS_HEAVY_CHARIOT';
DELETE FROM TypeTags WHERE Type = 'ABILITY_FASCISM_ATTACK_BUFF' AND Tag = 'CLASS_LIGHT_CHARIOT';
DELETE FROM TypeTags WHERE Type = 'ABILITY_FASCISM_ATTACK_BUFF' AND Tag = 'CLASS_SIEGE';


INSERT INTO UnitAbilities
		(UnitAbilityType, Name, Description)
VALUES
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'LOC_ABILITY_ANTICAV_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_ANTICAV_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'LOC_ABILITY_MELEE_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_MELEE_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_IRREGULAR_RECEIVE_SUPPORT', 'LOC_ABILITY_IRREGULAR_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_IRREGULAR_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_SHOCK_RECEIVE_SUPPORT', 'LOC_ABILITY_SHOCK_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_SHOCK_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_GRUNT_RECEIVE_SUPPORT', 'LOC_ABILITY_GRUNT_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_GRUNT_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'LOC_ABILITY_RECON_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_RECON_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'LOC_ABILITY_RANGED_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_RANGED_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_SIEGE_RECEIVE_SUPPORT', 'LOC_ABILITY_SIEGE_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_SIEGE_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'LOC_ABILITY_LIGHTCAV_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_LIGHTCAV_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'LOC_ABILITY_HEAVYCAV_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_HEAVYCAV_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'LOC_ABILITY_RANGEDCAV_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_RANGEDCAV_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_NAVAL_RECEIVE_SUPPORT', 'LOC_ABILITY_NAVAL_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_NAVAL_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_SUBMARINE_RECEIVE_SUPPORT', 'LOC_ABILITY_SUBMARINE_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_SUBMARINE_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_RAIDER_RECEIVE_SUPPORT', 'LOC_ABILITY_RAIDER_RECEIVE_SUPPORT_NAME', 'LOC_ABILITY_RAIDER_RECEIVE_SUPPORT_DESCRIPTION'),
		('ABILITY_SIEGE_DISTRICTS', 'LOC_ABILITY_SIEGE_DISTRICTS_NAME', 'LOC_ABILITY_SIEGE_DISTRICTS_DESCRIPTION'),

		('ABILITY_SASR_ARMA', 'LOC_ABILITY_SASR_ARMA', 'LOC_ABILITY_SASR_ARMA_DESCRIPTION');


INSERT INTO UnitAbilityModifiers
		(UnitAbilityType, ModifierId)
VALUES
		('ABILITY_SASR_ARMA', 'PLUS_5_DESERT_PLAINS_COMBAT_BONUS'),
		('ABILITY_IRREGULAR_RECEIVE_SUPPORT', 'GRUNT_SUPPORT_BONUS'),
		('ABILITY_SHOCK_RECEIVE_SUPPORT', 'ANTICAV_SUPPORT_BONUS'),

		('ABILITY_MELEE_RECEIVE_SUPPORT', 'RANGED_SUPPORT_BONUS'),
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'LIGHTCAV_SUPPORT_BONUS'),
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'HEAVYCAV_SUPPORT_BONUS'),
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'RANGEDCAV_SUPPORT_BONUS'),
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_MELEE_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'RANGED_SUPPORT_BONUS'),
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'LIGHTCAV_SUPPORT_BONUS'),
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'HEAVYCAV_SUPPORT_BONUS'),
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'RANGEDCAV_SUPPORT_BONUS'),
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_ANTICAV_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		/*('ABILITY_GRUNT_RECEIVE_SUPPORT', 'RANGED_SUPPORT_BONUS'),
		('ABILITY_GRUNT_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_GRUNT_RECEIVE_SUPPORT', 'LIGHTCAV_SUPPORT_BONUS'),
		('ABILITY_GRUNT_RECEIVE_SUPPORT', 'HEAVYCAV_SUPPORT_BONUS'),
		('ABILITY_GRUNT_RECEIVE_SUPPORT', 'RANGEDCAV_SUPPORT_BONUS'),
		('ABILITY_GRUNT_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_GRUNT_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),*/
		('ABILITY_RECON_RECEIVE_SUPPORT', 'RANGED_SUPPORT_BONUS'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'LIGHTCAV_SUPPORT_BONUS'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'HEAVYCAV_SUPPORT_BONUS'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'RANGEDCAV_SUPPORT_BONUS'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_RECON_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'LIGHTCAV_SUPPORT_BONUS'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'HEAVYCAV_SUPPORT_BONUS'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'RANGEDCAV_SUPPORT_BONUS'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_RANGED_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
			('ABILITY_SIEGE_DISTRICTS', 'SIEGE_DISTRICTS_BONUS'),
		('ABILITY_SIEGE_RECEIVE_SUPPORT', 'RANGED_SUPPORT_BONUS'),
		('ABILITY_SIEGE_RECEIVE_SUPPORT', 'RANGEDCAV_SUPPORT_BONUS'),
		('ABILITY_SIEGE_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_SIEGE_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'RANGED_SUPPORT_BONUS'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'HEAVYCAV_SUPPORT_BONUS'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'RANGEDCAV_SUPPORT_BONUS'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_LIGHTCAV_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'RANGED_SUPPORT_BONUS'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'LIGHTCAV_SUPPORT_BONUS'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'RANGEDCAV_SUPPORT_BONUS'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_HEAVYCAV_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'RANGED_SUPPORT_BONUS'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'LIGHTCAV_SUPPORT_BONUS'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'HEAVYCAV_SUPPORT_BONUS'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_RANGEDCAV_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		('ABILITY_NAVAL_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_NAVAL_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_NAVAL_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		('ABILITY_SUBMARINE_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_SUBMARINE_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_SUBMARINE_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS'),
		('ABILITY_RAIDER_RECEIVE_SUPPORT', 'NAVAL_SUPPORT_BONUS'),
		('ABILITY_RAIDER_RECEIVE_SUPPORT', 'SIEGE_SUPPORT_BONUS'),
		('ABILITY_RAIDER_RECEIVE_SUPPORT', 'AIRCRAFT_SUPPORT_BONUS');


INSERT INTO Modifiers
		(ModifierId, ModifierType, SubjectRequirementSetId)
VALUES
		('PLUS_5_DESERT_PLAINS_COMBAT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'PLOT_IS_DESERT_OR_PLAINS_REQUIREMENTS'),

		('ANTICAV_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'ANTICAV_SUPPORT_REQUIREMENTS'),
		('GRUNT_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'GRUNT_SUPPORT_REQUIREMENTS'),
		('RANGED_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'RANGED_SUPPORT_REQUIREMENTS'),
		('SIEGE_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'SIEGE_SUPPORT_REQUIREMENTS'),
		('LIGHTCAV_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'LIGHTCAV_SUPPORT_REQUIREMENTS'),
		('HEAVYCAV_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'HEAVYCAV_SUPPORT_REQUIREMENTS'),
		('RANGEDCAV_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'RANGEDCAV_SUPPORT_REQUIREMENTS'),
		('NAVAL_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'NAVAL_SUPPORT_REQUIREMENTS'),
		('AIRCRAFT_SUPPORT_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'AIRCRAFT_SUPPORT_REQUIREMENTS'),
		('SIEGE_DISTRICTS_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'SIEGE_DISTRICTS_REQUIREMENTS');


INSERT INTO ModifierStrings
		(ModifierId, Context, Text)
VALUES
		('ANTICAV_SUPPORT_BONUS', 'Preview', 'LOC_ANTICAV_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('GRUNT_SUPPORT_BONUS', 'Preview', 'LOC_GRUNT_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('RANGED_SUPPORT_BONUS', 'Preview', 'LOC_RANGED_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('SIEGE_SUPPORT_BONUS', 'Preview', 'LOC_SIEGE_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('LIGHTCAV_SUPPORT_BONUS', 'Preview', 'LOC_LIGHTCAV_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('HEAVYCAV_SUPPORT_BONUS', 'Preview', 'LOC_HEAVYCAV_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('RANGEDCAV_SUPPORT_BONUS', 'Preview', 'LOC_RANGEDCAV_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('NAVAL_SUPPORT_BONUS', 'Preview', 'LOC_NAVAL_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('AIRCRAFT_SUPPORT_BONUS', 'Preview', 'LOC_AIRCRAFT_SUPPORT_BONUS_MODIFIER_DESCRIPTION'),
		('SIEGE_DISTRICTS_BONUS', 'Preview', 'LOC_SIEGE_DISTRICTS_BONUS_MODIFIER_DESCRIPTION'),

		('PLUS_5_DESERT_PLAINS_COMBAT_BONUS', 'Preview', 'PLUS_5_DESERT_PLAINS_COMBAT_BONUS_DESC');


INSERT INTO ModifierArguments
		(ModifierId, Name, Value)
VALUES
		('PLUS_5_DESERT_PLAINS_COMBAT_BONUS', 'Amount', '5'),
		('ANTICAV_SUPPORT_BONUS', 'Amount', '5'),
		('GRUNT_SUPPORT_BONUS', 'Amount', '5'),
		('RANGED_SUPPORT_BONUS', 'Amount', '5'),
		('SIEGE_SUPPORT_BONUS', 'Amount', '10'),
		('LIGHTCAV_SUPPORT_BONUS', 'Amount', '10'),
		('HEAVYCAV_SUPPORT_BONUS', 'Amount', '10'),
		('RANGEDCAV_SUPPORT_BONUS', 'Amount', '5'),
		('NAVAL_SUPPORT_BONUS', 'Amount', '10'),
		('AIRCRAFT_SUPPORT_BONUS', 'Amount', '10'),
		('SIEGE_DISTRICTS_BONUS', 'Amount', '5');
		

INSERT INTO RequirementSets
		(RequirementSetId, RequirementSetType)
VALUES
		('ANTICAV_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('GRUNT_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('RANGED_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('SIEGE_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('LIGHTCAV_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('HEAVYCAV_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('RANGEDCAV_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('NAVAL_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('AIRCRAFT_SUPPORT_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('SIEGE_DISTRICTS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');



INSERT INTO RequirementSetRequirements
		(RequirementSetId, RequirementId)
VALUES
		('ANTICAV_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_ANTICAV_REQUIREMENT'),
		('ANTICAV_SUPPORT_REQUIREMENTS', 'DEFENDING_SUPPORTED_UNIT_REQUIREMENT'),
		('GRUNT_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_GRUNT_REQUIREMENT'),
		('GRUNT_SUPPORT_REQUIREMENTS', 'ATTACKING_SUPPORTED_UNIT_REQUIREMENT'),
		('RANGED_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_RANGED_REQUIREMENT'),
		('RANGED_SUPPORT_REQUIREMENTS', 'DEFENDING_SUPPORTED_UNIT_REQUIREMENT'),
		('SIEGE_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_SIEGE_REQUIREMENT'),
		('LIGHTCAV_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_LIGHTCAV_REQUIREMENT'),
		('LIGHTCAV_SUPPORT_REQUIREMENTS', 'ATTACKING_SUPPORTED_UNIT_REQUIREMENT'),
		('LIGHTCAV_SUPPORT_REQUIREMENTS', 'OPPONENT_IS_DAMAGED_UNIT_REQUIREMENT'),
		('HEAVYCAV_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_HEAVYCAV_REQUIREMENT'),
		('HEAVYCAV_SUPPORT_REQUIREMENTS', 'ATTACKING_SUPPORTED_UNIT_REQUIREMENT'),
		('RANGEDCAV_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_RANGEDCAV_REQUIREMENT'),
		('NAVAL_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_NAVAL_REQUIREMENT'),
		('AIRCRAFT_SUPPORT_REQUIREMENTS', 'ADJACENT_FRIENDLY_AIRCRAFT_REQUIREMENT'),
		('SIEGE_DISTRICTS_REQUIREMENTS', 'TARGET_IS_DISTRICT_REQUIREMENT'),
		('SIEGE_DISTRICTS_REQUIREMENTS', 'ATTACKING_DISTRICT_REQUIREMENT');


INSERT INTO Requirements
		(RequirementId, RequirementType)
VALUES
		('ADJACENT_FRIENDLY_ANTICAV_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES'),
		('ADJACENT_FRIENDLY_GRUNT_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES'),
		('TARGET_IS_DISTRICT_REQUIREMENT', 'REQUIREMENT_PLOT_HAS_ANY_DISTRICT'),
		('ATTACKING_DISTRICT_REQUIREMENT', 'REQUIREMENT_PLAYER_IS_ATTACKING'),
		('SUPPORT_DISTANCE_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_TO_OWNER'),
		('ATTACKING_SUPPORTED_UNIT_REQUIREMENT', 'REQUIREMENT_PLAYER_IS_ATTACKING'),
		('ADJACENT_FRIENDLY_RANGED_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES'),
		('ADJACENT_FRIENDLY_SIEGE_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES'),
		('ADJACENT_FRIENDLY_LIGHTCAV_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES'),
		('ADJACENT_FRIENDLY_HEAVYCAV_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES'),
		('ADJACENT_FRIENDLY_RANGEDCAV_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES'),
		('ADJACENT_FRIENDLY_NAVAL_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES'),
		('ADJACENT_FRIENDLY_AIRCRAFT_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TAG_MATCHES');

INSERT INTO Requirements (RequirementId, RequirementType, Inverse)
	VALUES ('DEFENDING_SUPPORTED_UNIT_REQUIREMENT', 'REQUIREMENT_PLAYER_IS_ATTACKING', '1');


INSERT INTO RequirementArguments
		(RequirementId, Name, Value)
VALUES
		('SUPPORT_DISTANCE_REQUIREMENT', 'MinDistance', '1'),
		('SUPPORT_DISTANCE_REQUIREMENT', 'MaxDistance', '1'),
		('ADJACENT_FRIENDLY_ANTICAV_REQUIREMENT', 'Tag', 'CLASS_ANTI_CAVALRY'),
		('ADJACENT_FRIENDLY_GRUNT_REQUIREMENT', 'Tag', 'CLASS_GRUNT'),
		('ADJACENT_FRIENDLY_RANGED_REQUIREMENT', 'Tag', 'CLASS_RANGED'),
		('ADJACENT_FRIENDLY_SIEGE_REQUIREMENT', 'Tag', 'CLASS_SIEGE'),
		('ADJACENT_FRIENDLY_LIGHTCAV_REQUIREMENT', 'Tag', 'CLASS_LIGHT_CAVALRY'),
		('ADJACENT_FRIENDLY_HEAVYCAV_REQUIREMENT', 'Tag', 'CLASS_HEAVY_CAVALRY'),
		('ADJACENT_FRIENDLY_RANGEDCAV_REQUIREMENT', 'Tag', 'CLASS_RANGED_CAVALRY'),
		('ADJACENT_FRIENDLY_NAVAL_REQUIREMENT', 'Tag', 'CLASS_NAVAL_SUPPORT'),
		('ADJACENT_FRIENDLY_AIRCRAFT_REQUIREMENT', 'Tag', 'CLASS_AIRCRAFT');


