-- Arma_Promotions
-- Author: Armakoir
-- DateCreated: 10/26/2017 7:55:20 PM
--------------------------------------------------------------

INSERT INTO Types
		(Type, 													Kind)
VALUES
		('PROMOTION_SEASONED',  								'KIND_PROMOTION'),
		('PROMOTION_REGULARS',  								'KIND_PROMOTION'),
		('PROMOTION_VETERANS',  								'KIND_PROMOTION'),
		('PROMOTION_HARDENED',  								'KIND_PROMOTION'),
		('PROMOTION_ELITE',  									'KIND_PROMOTION'),
		('PROMOTION_RECON_SEASONED',  							'KIND_PROMOTION'),
		('PROMOTION_RECON_REGULARS',  							'KIND_PROMOTION'),
		('PROMOTION_RECON_VETERANS',  							'KIND_PROMOTION'),
		('PROMOTION_RECON_HARDENED',  							'KIND_PROMOTION'),
		('PROMOTION_RECON_ELITE',  								'KIND_PROMOTION'),
		('PROMOTION_RANGED_SEASONED',  							'KIND_PROMOTION'),
		('PROMOTION_RANGED_REGULARS',  							'KIND_PROMOTION'),
		('PROMOTION_RANGED_VETERANS',  							'KIND_PROMOTION'),
		('PROMOTION_RANGED_HARDENED',  							'KIND_PROMOTION'),
		('PROMOTION_RANGED_ELITE',  							'KIND_PROMOTION'),
		('PROMOTION_SIEGE_SEASONED',  							'KIND_PROMOTION'),
		('PROMOTION_SIEGE_REGULARS',  							'KIND_PROMOTION'),
		('PROMOTION_SIEGE_VETERANS',  							'KIND_PROMOTION'),
		('PROMOTION_SIEGE_HARDENED',  							'KIND_PROMOTION'),
		('PROMOTION_SIEGE_ELITE',  								'KIND_PROMOTION'),
		('PROMOTION_ANTI_CAVALRY_SEASONED',  					'KIND_PROMOTION'),
		('PROMOTION_ANTI_CAVALRY_REGULARS',  					'KIND_PROMOTION'),
		('PROMOTION_ANTI_CAVALRY_VETERANS',  					'KIND_PROMOTION'),
		('PROMOTION_ANTI_CAVALRY_HARDENED',  					'KIND_PROMOTION'),
		('PROMOTION_ANTI_CAVALRY_ELITE',  						'KIND_PROMOTION'),
		('PROMOTION_LIGHT_CAVALRY_SEASONED',  					'KIND_PROMOTION'),
		('PROMOTION_LIGHT_CAVALRY_REGULARS',  					'KIND_PROMOTION'),
		('PROMOTION_LIGHT_CAVALRY_VETERANS',  					'KIND_PROMOTION'),
		('PROMOTION_LIGHT_CAVALRY_HARDENED',  					'KIND_PROMOTION'),
		('PROMOTION_LIGHT_CAVALRY_ELITE',  						'KIND_PROMOTION'),
		('PROMOTION_HEAVY_CAVALRY_SEASONED',  					'KIND_PROMOTION'),
		('PROMOTION_HEAVY_CAVALRY_REGULARS',  					'KIND_PROMOTION'),
		('PROMOTION_HEAVY_CAVALRY_VETERANS',  					'KIND_PROMOTION'),
		('PROMOTION_HEAVY_CAVALRY_HARDENED',  					'KIND_PROMOTION'),
		('PROMOTION_HEAVY_CAVALRY_ELITE',  						'KIND_PROMOTION'),
		('PROMOTION_AIR_FIGHTER_SEASONED',  					'KIND_PROMOTION'),
		('PROMOTION_AIR_FIGHTER_REGULARS',  					'KIND_PROMOTION'),
		('PROMOTION_AIR_FIGHTER_VETERANS',  					'KIND_PROMOTION'),
		('PROMOTION_AIR_FIGHTER_HARDENED',  					'KIND_PROMOTION'),
		('PROMOTION_AIR_FIGHTER_ELITE',  						'KIND_PROMOTION'),
		('PROMOTION_AIR_BOMBER_SEASONED',  						'KIND_PROMOTION'),
		('PROMOTION_AIR_BOMBER_REGULARS',  						'KIND_PROMOTION'),
		('PROMOTION_AIR_BOMBER_VETERANS',  						'KIND_PROMOTION'),
		('PROMOTION_AIR_BOMBER_HARDENED',  						'KIND_PROMOTION'),
		('PROMOTION_AIR_BOMBER_ELITE',  						'KIND_PROMOTION'),
		('PROMOTION_NAVAL_MELEE_SEASONED',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_MELEE_REGULARS',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_MELEE_VETERANS',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_MELEE_HARDENED',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_MELEE_ELITE',  						'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RANGED_SEASONED',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RANGED_REGULARS',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RANGED_VETERANS',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RANGED_HARDENED',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RANGED_ELITE',  						'KIND_PROMOTION'),		
		('PROMOTION_NAVAL_CARRIER_SEASONED',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_CARRIER_REGULARS',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_CARRIER_VETERANS',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_CARRIER_HARDENED',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_CARRIER_ELITE',  						'KIND_PROMOTION'),		
		('PROMOTION_NAVAL_RAIDER_SEASONED',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RAIDER_REGULARS',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RAIDER_VETERANS',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RAIDER_HARDENED',  					'KIND_PROMOTION'),
		('PROMOTION_NAVAL_RAIDER_ELITE',  						'KIND_PROMOTION');

INSERT INTO UnitPromotions
		(UnitPromotionType, 							Name,					PromotionClass,						Level,				Column,				Specialization,					Description)
VALUES
		('PROMOTION_SEASONED',  						'Seasoned',				'PROMOTION_CLASS_MELEE',			1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_REGULARS',  						'Regulars',				'PROMOTION_CLASS_MELEE',			2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_VETERANS',  						'Veterans',				'PROMOTION_CLASS_MELEE',			3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_HARDENED',  						'Hardened',				'PROMOTION_CLASS_MELEE',			4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_ELITE',  							'Elite',				'PROMOTION_CLASS_MELEE',			5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_RECON_SEASONED',  					'Seasoned',				'PROMOTION_CLASS_RECON',			1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_RECON_REGULARS',  					'Regulars',				'PROMOTION_CLASS_RECON',			2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_RECON_VETERANS',  					'Veterans',				'PROMOTION_CLASS_RECON',			3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_RECON_HARDENED',  					'Hardened',				'PROMOTION_CLASS_RECON',			4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_RECON_ELITE',  						'Elite',				'PROMOTION_CLASS_RECON',			5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_RANGED_SEASONED',  					'Seasoned',				'PROMOTION_CLASS_RANGED',			1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_RANGED_REGULARS',  					'Regulars',				'PROMOTION_CLASS_RANGED',			2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_RANGED_VETERANS',  					'Veterans',				'PROMOTION_CLASS_RANGED',			3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_RANGED_HARDENED',  					'Hardened',				'PROMOTION_CLASS_RANGED',			4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_RANGED_ELITE',  					'Elite',				'PROMOTION_CLASS_RANGED',			5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_SIEGE_SEASONED',  					'Seasoned',				'PROMOTION_CLASS_SIEGE',			1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_SIEGE_REGULARS',  					'Regulars',				'PROMOTION_CLASS_SIEGE',			2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_SIEGE_VETERANS',  					'Veterans',				'PROMOTION_CLASS_SIEGE',			3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_SIEGE_HARDENED',  					'Hardened',				'PROMOTION_CLASS_SIEGE',			4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_SIEGE_ELITE',  						'Elite',				'PROMOTION_CLASS_SIEGE',			5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_ANTI_CAVALRY_SEASONED',  			'Seasoned',				'PROMOTION_CLASS_ANTI_CAVALRY',		1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_ANTI_CAVALRY_REGULARS',  			'Regulars',				'PROMOTION_CLASS_ANTI_CAVALRY',		2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_ANTI_CAVALRY_VETERANS',  			'Veterans',				'PROMOTION_CLASS_ANTI_CAVALRY',		3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_ANTI_CAVALRY_HARDENED',  			'Hardened',				'PROMOTION_CLASS_ANTI_CAVALRY',		4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_ANTI_CAVALRY_ELITE',  				'Elite',				'PROMOTION_CLASS_ANTI_CAVALRY',		5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_LIGHT_CAVALRY_SEASONED',  			'Seasoned',				'PROMOTION_CLASS_LIGHT_CAVALRY',	1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_LIGHT_CAVALRY_REGULARS',  			'Regulars',				'PROMOTION_CLASS_LIGHT_CAVALRY',	2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_LIGHT_CAVALRY_VETERANS',  			'Veterans',				'PROMOTION_CLASS_LIGHT_CAVALRY',	3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_LIGHT_CAVALRY_HARDENED',  			'Hardened',				'PROMOTION_CLASS_LIGHT_CAVALRY',	4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_LIGHT_CAVALRY_ELITE',  				'Elite',				'PROMOTION_CLASS_LIGHT_CAVALRY',	5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_HEAVY_CAVALRY_SEASONED',  			'Seasoned',				'PROMOTION_CLASS_HEAVY_CAVALRY',	1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_HEAVY_CAVALRY_REGULARS',  			'Regulars',				'PROMOTION_CLASS_HEAVY_CAVALRY',	2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_HEAVY_CAVALRY_VETERANS',  			'Veterans',				'PROMOTION_CLASS_HEAVY_CAVALRY',	3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_HEAVY_CAVALRY_HARDENED',  			'Hardened',				'PROMOTION_CLASS_HEAVY_CAVALRY',	4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_HEAVY_CAVALRY_ELITE',  				'Elite',				'PROMOTION_CLASS_HEAVY_CAVALRY',	5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_AIR_FIGHTER_SEASONED',  			'Seasoned',				'PROMOTION_CLASS_AIR_FIGHTER',		1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_AIR_FIGHTER_REGULARS',  			'Regulars',				'PROMOTION_CLASS_AIR_FIGHTER',		2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_AIR_FIGHTER_VETERANS',  			'Veterans',				'PROMOTION_CLASS_AIR_FIGHTER',		3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_AIR_FIGHTER_HARDENED',  			'Hardened',				'PROMOTION_CLASS_AIR_FIGHTER',		4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_AIR_FIGHTER_ELITE',  				'Aces',					'PROMOTION_CLASS_AIR_FIGHTER',		5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_AIR_BOMBER_SEASONED',  				'Seasoned',				'PROMOTION_CLASS_AIR_BOMBER',		1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_AIR_BOMBER_REGULARS',  				'Regulars',				'PROMOTION_CLASS_AIR_BOMBER',		2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_AIR_BOMBER_VETERANS',  				'Veterans',				'PROMOTION_CLASS_AIR_BOMBER',		3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_AIR_BOMBER_HARDENED',  				'Hardened',				'PROMOTION_CLASS_AIR_BOMBER',		4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_AIR_BOMBER_ELITE',  				'Aces',					'PROMOTION_CLASS_AIR_BOMBER',		5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_MELEE_SEASONED',  			'Seasoned',				'PROMOTION_CLASS_NAVAL_MELEE',		1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_MELEE_REGULARS',  			'Regulars',				'PROMOTION_CLASS_NAVAL_MELEE',		2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_MELEE_VETERANS',  			'Veterans',				'PROMOTION_CLASS_NAVAL_MELEE',		3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_MELEE_HARDENED',  			'Hardened',				'PROMOTION_CLASS_NAVAL_MELEE',		4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_MELEE_ELITE',  				'Elite',				'PROMOTION_CLASS_NAVAL_MELEE',		5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RANGED_SEASONED',  			'Seasoned',				'PROMOTION_CLASS_NAVAL_RANGED',		1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RANGED_REGULARS',  			'Regulars',				'PROMOTION_CLASS_NAVAL_RANGED',		2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RANGED_VETERANS',  			'Veterans',				'PROMOTION_CLASS_NAVAL_RANGED',		3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RANGED_HARDENED',  			'Hardened',				'PROMOTION_CLASS_NAVAL_RANGED',		4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RANGED_ELITE',  				'Elite',				'PROMOTION_CLASS_NAVAL_RANGED',		5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_CARRIER_SEASONED',  			'Seasoned',				'PROMOTION_CLASS_NAVAL_CARRIER',	1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_CARRIER_REGULARS',  			'Regulars',				'PROMOTION_CLASS_NAVAL_CARRIER',	2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_CARRIER_VETERANS',  			'Veterans',				'PROMOTION_CLASS_NAVAL_CARRIER',	3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_CARRIER_HARDENED',  			'Hardened',				'PROMOTION_CLASS_NAVAL_CARRIER',	4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_CARRIER_ELITE',  				'Elite',				'PROMOTION_CLASS_NAVAL_CARRIER',	5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RAIDER_SEASONED',  			'Seasoned',				'PROMOTION_CLASS_NAVAL_RAIDER',		1,					1,					"",								'This seasoned unit receives +1 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RAIDER_REGULARS',  			'Regulars',				'PROMOTION_CLASS_NAVAL_RAIDER',		2,					1,					"",								'This regular unit receives +2 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RAIDER_VETERANS',  			'Veterans',				'PROMOTION_CLASS_NAVAL_RAIDER',		3,					1,					"",								'This veteran unit receives +3 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RAIDER_HARDENED',  			'Hardened',				'PROMOTION_CLASS_NAVAL_RAIDER',		4,					1,					"",								'This hardened unit receives +4 [ICON_Strength] strength'),
		('PROMOTION_NAVAL_RAIDER_ELITE',  				'Elite',				'PROMOTION_CLASS_NAVAL_RAIDER',		5,					1,					"",								'This elite unit receives +5 [ICON_Strength] strength');



INSERT INTO UnitPromotionModifiers
		(UnitPromotionType, 							ModifierId)
VALUES
		('PROMOTION_SEASONED',  						'MOD_SEASONED'),
		('PROMOTION_REGULARS',  						'MOD_REGULARS'),
		('PROMOTION_VETERANS',  						'MOD_VETERANS'),
		('PROMOTION_HARDENED',  						'MOD_HARDENED'),
		('PROMOTION_ELITE',  							'MOD_ELITE'),
		('PROMOTION_RECON_SEASONED',  					'MOD_SEASONED'),
		('PROMOTION_RECON_REGULARS',  					'MOD_REGULARS'),
		('PROMOTION_RECON_VETERANS',  					'MOD_VETERANS'),
		('PROMOTION_RECON_HARDENED',  					'MOD_HARDENED'),
		('PROMOTION_RECON_ELITE',  						'MOD_ELITE'),
		('PROMOTION_RANGED_SEASONED',  					'MOD_SEASONED'),
		('PROMOTION_RANGED_REGULARS',  					'MOD_REGULARS'),
		('PROMOTION_RANGED_VETERANS',  					'MOD_VETERANS'),
		('PROMOTION_RANGED_HARDENED',  					'MOD_HARDENED'),
		('PROMOTION_RANGED_ELITE',  					'MOD_ELITE'),
		('PROMOTION_SIEGE_SEASONED',  					'MOD_SEASONED'),
		('PROMOTION_SIEGE_REGULARS',  					'MOD_REGULARS'),
		('PROMOTION_SIEGE_VETERANS',  					'MOD_VETERANS'),
		('PROMOTION_SIEGE_HARDENED',  					'MOD_HARDENED'),
		('PROMOTION_SIEGE_ELITE',  						'MOD_ELITE'),
		('PROMOTION_ANTI_CAVALRY_SEASONED',  			'MOD_SEASONED'),
		('PROMOTION_ANTI_CAVALRY_REGULARS',  			'MOD_REGULARS'),
		('PROMOTION_ANTI_CAVALRY_VETERANS',				'MOD_VETERANS'),
		('PROMOTION_ANTI_CAVALRY_HARDENED',				'MOD_HARDENED'),
		('PROMOTION_ANTI_CAVALRY_ELITE',  				'MOD_ELITE'),
		('PROMOTION_LIGHT_CAVALRY_SEASONED',  			'MOD_SEASONED'),
		('PROMOTION_LIGHT_CAVALRY_REGULARS',  			'MOD_REGULARS'),
		('PROMOTION_LIGHT_CAVALRY_VETERANS',			'MOD_VETERANS'),
		('PROMOTION_LIGHT_CAVALRY_HARDENED',			'MOD_HARDENED'),
		('PROMOTION_LIGHT_CAVALRY_ELITE',  				'MOD_ELITE'),
		('PROMOTION_HEAVY_CAVALRY_SEASONED',  			'MOD_SEASONED'),
		('PROMOTION_HEAVY_CAVALRY_REGULARS',  			'MOD_REGULARS'),
		('PROMOTION_HEAVY_CAVALRY_VETERANS',			'MOD_VETERANS'),
		('PROMOTION_HEAVY_CAVALRY_HARDENED',			'MOD_HARDENED'),
		('PROMOTION_HEAVY_CAVALRY_ELITE',  				'MOD_ELITE'),
		('PROMOTION_AIR_FIGHTER_SEASONED',  			'MOD_SEASONED'),
		('PROMOTION_AIR_FIGHTER_REGULARS',  			'MOD_REGULARS'),
		('PROMOTION_AIR_FIGHTER_VETERANS',  			'MOD_VETERANS'),
		('PROMOTION_AIR_FIGHTER_HARDENED',				'MOD_HARDENED'),
		('PROMOTION_AIR_FIGHTER_ELITE',  				'MOD_ELITE'),
		('PROMOTION_AIR_BOMBER_SEASONED',  				'MOD_SEASONED'),
		('PROMOTION_AIR_BOMBER_REGULARS',  				'MOD_REGULARS'),
		('PROMOTION_AIR_BOMBER_VETERANS',  				'MOD_VETERANS'),
		('PROMOTION_AIR_BOMBER_HARDENED',				'MOD_HARDENED'),
		('PROMOTION_AIR_BOMBER_ELITE',  				'MOD_ELITE'),
		('PROMOTION_NAVAL_MELEE_SEASONED',  			'MOD_SEASONED'),
		('PROMOTION_NAVAL_MELEE_REGULARS',  			'MOD_REGULARS'),
		('PROMOTION_NAVAL_MELEE_VETERANS',  			'MOD_VETERANS'),
		('PROMOTION_NAVAL_MELEE_HARDENED',				'MOD_HARDENED'),
		('PROMOTION_NAVAL_MELEE_ELITE',  				'MOD_ELITE'),
		('PROMOTION_NAVAL_RANGED_SEASONED',  			'MOD_SEASONED'),
		('PROMOTION_NAVAL_RANGED_REGULARS',  			'MOD_REGULARS'),
		('PROMOTION_NAVAL_RANGED_VETERANS',  			'MOD_VETERANS'),
		('PROMOTION_NAVAL_RANGED_HARDENED',				'MOD_HARDENED'),
		('PROMOTION_NAVAL_RANGED_ELITE',  				'MOD_ELITE'),
		('PROMOTION_NAVAL_CARRIER_SEASONED',  			'MOD_SEASONED'),
		('PROMOTION_NAVAL_CARRIER_REGULARS',  			'MOD_REGULARS'),
		('PROMOTION_NAVAL_CARRIER_VETERANS',  			'MOD_VETERANS'),
		('PROMOTION_NAVAL_CARRIER_HARDENED',			'MOD_HARDENED'),
		('PROMOTION_NAVAL_CARRIER_ELITE',  				'MOD_ELITE'),
		('PROMOTION_NAVAL_RAIDER_SEASONED',  			'MOD_SEASONED'),
		('PROMOTION_NAVAL_RAIDER_REGULARS',  			'MOD_REGULARS'),
		('PROMOTION_NAVAL_RAIDER_VETERANS',  			'MOD_VETERANS'),
		('PROMOTION_NAVAL_RAIDER_HARDENED',				'MOD_HARDENED'),
		('PROMOTION_NAVAL_RAIDER_ELITE',  				'MOD_ELITE');

INSERT INTO Modifiers
		(ModifierId, 									ModifierType,									SubjectRequirementSetId)
VALUES
		('MOD_SEASONED',  								'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',     	null),
		('MOD_REGULARS',  								'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',     	null),
		('MOD_VETERANS',  								'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',     	null),
		('MOD_HARDENED',  								'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',     	null),
		('MOD_ELITE',  									'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',     	null);


INSERT INTO ModifierArguments
		(ModifierId,									Name,											Value)
VALUES	
		('MOD_SEASONED',  								'Amount',     									1),
		('MOD_REGULARS',  								'Amount',     									2),
		('MOD_VETERANS',  								'Amount',     									3),
		('MOD_HARDENED',  								'Amount',     									4),
		('MOD_ELITE',  									'Amount',     									5);


INSERT INTO ModifierStrings
		(ModifierId,									Context,     									Text)
VALUES	
		('MOD_SEASONED',  								'Preview',     									'+1 Seasoned (Promotion)'),
		('MOD_REGULARS',  								'Preview',     									'+2 Regulars (Promotion)'),
		('MOD_VETERANS',  								'Preview',     									'+3 Veterans (Promotion)'),
		('MOD_HARDENED',  								'Preview',     									'+4 Hardened (Promotion)'),
		('MOD_ELITE',  									'Preview',     									'+5 Elite (Promotion)');


-- Recon
DELETE FROM Types WHERE Type = 'PROMOTION_RANGER' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ALPINE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SENTRY' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_GUERRILLA' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SPYGLASS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_AMBUSH' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_CAMOUFLAGE' AND Kind = 'KIND_PROMOTION';
-- Melee-->
DELETE FROM Types WHERE Type = 'PROMOTION_BATTLECRY' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_TORTOISE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_COMMANDO' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_AMPHIBIOUS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ZWEIHANDER' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_URBAN_WARFARE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ELITE_GUARD' AND Kind = 'KIND_PROMOTION';
-- Ranged-->
DELETE FROM Types WHERE Type = 'PROMOTION_VOLLEY' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_GARRISON' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ARROW_STORM' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_INCENDIARIES' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SUPPRESSION' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_EMPLACEMENT' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_EXPERT_MARKSMAN' AND Kind = 'KIND_PROMOTION';
-- Siege-->
DELETE FROM Types WHERE Type = 'PROMOTION_GRAPE_SHOT' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_CREW_WEAPONS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SHRAPNEL' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SHELLS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ADVANCED_RANGEFINDING' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_EXPERT_CREW' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_FORWARD_OBSERVERS' AND Kind = 'KIND_PROMOTION';
-- Anti-Cavalry-->
DELETE FROM Types WHERE Type = 'PROMOTION_ECHELON' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_THRUST' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SQUARE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SCHILTRON' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_REDEPLOY' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_CHOKE_POINTS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_HOLD_THE_LINE' AND Kind = 'KIND_PROMOTION';
-- Light Cavalry-->
DELETE FROM Types WHERE Type = 'PROMOTION_CAPARISON' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_COURSERS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_DEPREDATION' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_DOUBLE_ENVELOPMENT' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SPIKING_THE_GUNS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_PURSUIT' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ESCORT_MOBILITY' AND Kind = 'KIND_PROMOTION';
-- Heavy Cavalry-->
DELETE FROM Types WHERE Type = 'PROMOTION_CHARGE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_BARDING' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_MARAUDING' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ROUT' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ARMOR_PIERCING' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_REACTIVE_ARMOR' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_BREAKTHROUGH' AND Kind = 'KIND_PROMOTION';
-- Aircraft Fighter-->
DELETE FROM Types WHERE Type = 'PROMOTION_DOGFIGHTING' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_COCKPIT_ARMOR' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_INTERCEPTOR' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_STRAFE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_GROUND_CREWS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_TANK_BUSTER' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_DROP_TANKS' AND Kind = 'KIND_PROMOTION';
-- Aircraft Bomber-->
DELETE FROM Types WHERE Type = 'PROMOTION_BOX_FORMATION' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_EVASIVE_MANEUVERS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_TORPEDO_BOMBER' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_CLOSE_AIR_SUPPORT' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_TACTICAL_MAINTENANCE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_LONG_RANGE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SUPERFORTRESS' AND Kind = 'KIND_PROMOTION';
-- Naval Melee-->
DELETE FROM Types WHERE Type = 'PROMOTION_EMBOLON' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_HELMSMAN' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_REINFORCED_HULL' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_RUTTER' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_AUXILIARY_SHIPS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_CONVOY' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_CREEPING_ATTACK' AND Kind = 'KIND_PROMOTION';
-- Naval Ranged-->
DELETE FROM Types WHERE Type = 'PROMOTION_LINE_OF_BATTLE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_BOMBARDMENT' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_PREPARATORY_FIRE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ROLLING_BARRAGE' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SUPPLY_FLEET' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_PROXIMITY_FUSES' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_COINCIDENCE_RANGEFINDING' AND Kind = 'KIND_PROMOTION';
-- Naval Carrier-->
DELETE FROM Types WHERE Type = 'PROMOTION_FLIGHT_DECK' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_HANGAR_DECK' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_FOLDING_WINGS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SCOUT_PLANES' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_ADVANCED_ENGINES' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_DECK_CREWS' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SUPER_CARRIER' AND Kind = 'KIND_PROMOTION';
-- Naval Raider-->
DELETE FROM Types WHERE Type = 'PROMOTION_LOOT' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_BOARDING' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SWIFT_KEEL' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_HOMING_TORPEDOES' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_WOLFPACK' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_OBSERVATION' AND Kind = 'KIND_PROMOTION';
DELETE FROM Types WHERE Type = 'PROMOTION_SILENT_RUNNING' AND Kind = 'KIND_PROMOTION';
