-- Arma_Units
-- Author: Armakoir
-- DateCreated: 10/30/2017 1:30:24 PM
--------------------------------------------------------------

-- Misc
UPDATE Units SET MandatoryObsoleteTech = NULL WHERE UnitType = 'UNIT_SNIPER';
UPDATE Units SET MandatoryObsoleteTech = NULL WHERE UnitType = 'UNIT_MODERN_SNIPER';
UPDATE Units SET TraitType = NULL WHERE UnitType = 'UNIT_AMERICAN_AH64_APACHE';

-- Unit Replacements
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_CAMEL_ARCHER','UNIT_HORSEMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_SCYTHIAN_HORSE_ARCHER','UNIT_HORSEMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_NORWEGIAN_BERSERKER','UNIT_MACEMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_TERCIO','UNIT_MUSKETMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_ENGLISH_IRONSIDE','UNIT_CUIRASSIER');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_AMERICAN_ROUGH_RIDER','UNIT_CAVALRY');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_CHINESE_CROUCHING_TIGER','UNIT_TREBUCHET');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_ENGLISH_REDCOAT','UNIT_RIFLEMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_FRENCH_GARDE_IMPERIALE','UNIT_RIFLEMAN');

UPDATE UnitReplaces SET ReplacesUnitType='UNIT_RANGER' WHERE CivUniqueUnitType='UNIT_MINUTEMAN';
UPDATE UnitReplaces SET ReplacesUnitType='UNIT_RIFLEMAN' WHERE CivUniqueUnitType='UNIT_FRENCH_GARDE_IMPERIALE';
UPDATE UnitReplaces SET ReplacesUnitType='UNIT_EXPLORER' WHERE CivUniqueUnitType='UNIT_SPANISH_CONQUISTADOR';

DELETE FROM UnitReplaces WHERE CivUniqueUnitType='UNIT_MEDICINE_MAN' AND ReplacesUnitType='UNIT_MEDIC';
DELETE FROM UnitReplaces WHERE CivUniqueUnitType='UNIT_AMERICAN_AH64_APACHE' AND ReplacesUnitType='UNIT_HELICOPTER';

-- Unit Upgrades
INSERT INTO UnitUpgrades (Unit, UpgradeUnit) VALUES ('UNIT_MEDICINE_MAN','UNIT_MEDIC');
INSERT INTO UnitUpgrades (Unit, UpgradeUnit) VALUES ('UNIT_MEDIC','UNIT_HELICOPTER');
INSERT INTO UnitUpgrades (Unit, UpgradeUnit) VALUES ('UNIT_RECON','UNIT_MODERN_SNIPER');
INSERT INTO UnitUpgrades (Unit, UpgradeUnit) VALUES ('UNIT_OBSERVATION_BALLOON','UNIT_BIPLANE');

UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARCHAEOLOGIST' WHERE Unit='UNIT_EXPLORER';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MUSKETMAN' WHERE Unit='UNIT_MACEMAN';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MACHINE_GUN' WHERE Unit='UNIT_GATLING_GUN';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GATLING_GUN' WHERE Unit='UNIT_CROSSBOWMAN';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_FRIGATE' WHERE Unit='UNIT_GALLEY';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_IRONCLAD' WHERE Unit='UNIT_QUADRIREME';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_CARAVEL';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_PRIVATEER';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_FRIGATE';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_BATTLESHIP' WHERE Unit='UNIT_IRONCLAD';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARTILLERY' WHERE Unit='UNIT_FIELD_CANNON';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_PIKEMAN';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_SPEARMAN' WHERE Unit='UNIT_WARRIOR';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CATAPULT' WHERE Unit='UNIT_BATTERING_RAM';

UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RANGER' WHERE Unit='UNIT_SPANISH_CONQUISTADOR';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MUSKETMAN' WHERE Unit='UNIT_JAPANESE_SAMURAI';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MUSKETMAN' WHERE Unit='UNIT_GHAZI';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MUSKETMAN' WHERE Unit='UNIT_NORWEGIAN_BERSERKER';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RECON' WHERE Unit='UNIT_MINUTEMAN';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_SOHEI';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_TERCIO';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_ENGLISH_SEADOG';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_FRIGATE' WHERE Unit='UNIT_NORWEGIAN_LONGSHIP';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_BOMBARD' WHERE Unit='UNIT_CHINESE_CROUCHING_TIGER';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GATLING_GUN' WHERE Unit='UNIT_CHOKONU';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GATLING_GUN' WHERE Unit='UNIT_LONGBOWMAN';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CAVALRY' WHERE Unit='UNIT_SCYTHIAN_HORSE_ARCHER';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CAVALRY' WHERE Unit='UNIT_CAMEL_ARCHER';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_INFANTRY' WHERE Unit='UNIT_ENGLISH_REDCOAT';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_INFANTRY' WHERE Unit='UNIT_FRENCH_GARDE_IMPERIALE';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MEDIEVAL_HORSEMAN' WHERE Unit='UNIT_EGYPTIAN_CHARIOT_ARCHER';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_IRONCLAD' WHERE Unit='UNIT_WAR_GALLEY';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_LANDSKNECHT';

DELETE FROM UnitUpgrades WHERE Unit='UNIT_BOMBARD' AND UpgradeUnit='UNIT_ARTILLERY';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_AMERICAN_ROUGH_RIDER' AND UpgradeUnit='UNIT_MODERN_ARMOR';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_RUSSIAN_COSSACK' AND UpgradeUnit='UNIT_HELICOPTER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_CUIRASSIER' AND UpgradeUnit='UNIT_TANK';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_ENGLISH_IRONSIDE' AND UpgradeUnit='UNIT_TANK';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_BATTLESHIP' AND UpgradeUnit='UNIT_MISSILE_CRUISER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_BRAZILIAN_MINAS_GERAES' AND UpgradeUnit='UNIT_MISSILE_CRUISER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_CAVALRY' AND UpgradeUnit='UNIT_HELICOPTER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_INFANTRY' AND UpgradeUnit='UNIT_MECHANIZED_INFANTRY';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_SUBMARINE' AND UpgradeUnit='UNIT_NUCLEAR_SUBMARINE';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_GERMAN_UBOAT' AND UpgradeUnit='UNIT_NUCLEAR_SUBMARINE';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_BIPLANE' AND UpgradeUnit='UNIT_FIGHTER';
--DELETE FROM UnitUpgrades WHERE Unit='UNIT_YAMATO' AND UpgradeUnit='UNIT_MISSILE_CRUISER';

DELETE FROM UnitUpgrades WHERE Unit='UNIT_SNIPER' AND UpgradeUnit='UNIT_MODERN_SNIPER';


/* NOTES:
	The following classes are considered "main" classes. As such, any unit should only have one of these classes (except Attack Helicopter?)
	CLASS_RECON, RANGED, BATTERING_RAM, HEAVY_CAVALRY, LIGHT_CAVALRY, RANGED_CAVALRY, ANTI_CAVALRY, NAVAL
	
	All other classes are considered "supplmentary" and function to add different abilities to units */
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SWORDSMAN','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_VULTURE','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_KONGO_SHIELD_BEARER','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_HIRDMAN','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MACEMAN','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_JAPANESE_SAMURAI','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GHAZI','CLASS_SHOCK');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RANGER','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MINUTEMAN','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BANDEIRANTE','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RECON','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_SNIPER','CLASS_IRREGULAR');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MUSKETMAN','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_INFANTRY','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MECHANIZED_INFANTRY','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ENGLISH_REDCOAT','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RIFLEMAN','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_TERCIO','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FATHERLAND_VOLUNTEER','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GARDE_REPUBLICAINE','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SEPOY','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARMATOLOS','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FRENCH_MARINE','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SOHEI','CLASS_ANTI_CAVALRY');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_CATAPULT','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ONAGER','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_TREBUCHET','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_CHINESE_CROUCHING_TIGER','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BOMBARD','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FIELD_CANNON','CLASS_SIEGE');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FIELD_CANNON','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FIELD_CANNON','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARTILLERY','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ROCKET_ARTILLERY','CLASS_BATTERING_RAM');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_QUADRIREME','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_WAR_GALLEY','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_IRONCLAD','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BATTLESHIP','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BRAZILIAN_MINAS_GERAES','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_YAMATO','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FRIGATE','CLASS_NAVAL_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_PRIVATEER','CLASS_CAPTURE_SHIPS');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MISSILE_CRUISER','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MISSILE_CRUISER','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MISSILE_CRUISER','CLASS_NAVAL_RAIDER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SUBMARINE','CLASS_NAVAL_SUB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GERMAN_UBOAT','CLASS_NAVAL_SUB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_NUCLEAR_SUBMARINE','CLASS_NAVAL_SUB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_NUCLEAR_SUBMARINE','CLASS_UBOAT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AIRCRAFT_CARRIER','CLASS_NAVAL_SUPPORT');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_EGYPTIAN_CHARIOT_ARCHER','CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SUMERIAN_WAR_CART','CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_HELICOPTER','CLASS_MEDIC');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AMERICAN_AH64_APACHE','CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AMERICAN_AH64_APACHE','CLASS_FORWARD_OBSERVER');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AT_CREW','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AT_CREW','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_AT','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_AT','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ANTIAIR_GUN','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MOBILE_SAM','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MOBILE_SAM','CLASS_REVEAL_STEALTH');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GATLING_GUN','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GATLING_GUN','CLASS_VARU');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MACHINE_GUN','CLASS_VARU');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MACHINE_GUN','CLASS_ANTI_AIR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SNIPER','CLASS_VARU');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SNIPER','CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SNIPER','CLASS_STEALTH');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RANGER','CLASS_EXPLORER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RANGER','CLASS_REVEAL_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MINUTEMAN','CLASS_EXPLORER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MINUTEMAN','CLASS_REVEAL_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MINUTEMAN','CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BANDEIRANTE','CLASS_EXPLORER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BANDEIRANTE','CLASS_REVEAL_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RECON','CLASS_REVEAL_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_SNIPER','CLASS_EXPLORER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_SNIPER','CLASS_RELIGIOUS'); --ENTER FOREIGN LANDS
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_SNIPER','CLASS_SAMURAI');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_EXPLORER','CLASS_REVEAL_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARCHAEOLOGIST','CLASS_REVEAL_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARCHAEOLOGIST','CLASS_RECON');

	INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_PANZER','CLASS_PUSHBACK');
	INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_ARMOR','CLASS_PUSHBACK');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BIPLANE','CLASS_OBSERVATION');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BIPLANE','CLASS_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BIPLANE','CLASS_RELIGIOUS'); --ENTER FOREIGN LANDS
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_OBSERVATION_BALLOON','CLASS_AIRCRAFT');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GREAT_GENERAL','CLASS_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GREAT_ADMIRAL','CLASS_STEALTH');

UPDATE TypeTags SET Tag = 'CLASS_RANGED_CAVALRY' WHERE Type = 'UNIT_HELICOPTER' AND Tag = 'CLASS_LIGHT_CAVALRY';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_MELEE' WHERE Type = 'UNIT_PRIVATEER' AND Tag = 'CLASS_NAVAL_RANGED';


/*DELETE FROM TypeTags WHERE Type = 'QUO_ABI_ANTI_MELEE' AND Tag = 'CLASS_HOPLITE';
DELETE FROM TypeTags WHERE Type = 'ABILITY_HOPLITE' AND Tag = 'CLASS_HOPLITE';
DELETE FROM TypeTags WHERE Type = 'UNIT_GREEK_HOPLITE' AND Tag = 'CLASS_HOPLITE';
DELETE FROM TypeTags WHERE Type = 'UNIT_GREEK_HOPLITE' AND Tag = 'CLASS_ANTI_CAVALRY'; */

DELETE FROM TypeTags WHERE Type='UNIT_MISSILE_CRUISER' AND Tag='CLASS_NAVAL_RAIDER';
DELETE FROM TypeTags WHERE Type='UNIT_TERCIO' AND Tag='CLASS_TERCIO';
DELETE FROM TypeTags WHERE Type='UNIT_MINUTEMAN' AND Tag='CLASS_MINUTEMAN';
DELETE FROM TypeTags WHERE Type='UNIT_CATAPULT' AND Tag='CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type='UNIT_CHINESE_CROUCHING_TIGER' AND Tag='CLASS_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_BOMBARD' AND Tag='CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type='UNIT_BOMBARD' AND Tag='CLASS_FORWARD_OBSERVER';
DELETE FROM TypeTags WHERE Type='UNIT_FIELD_CANNON' AND Tag='CLASS_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_HEAVY_CHARIOT' AND Tag='CLASS_HEAVY_CHARIOT';
DELETE FROM TypeTags WHERE Type='UNIT_EGYPTIAN_CHARIOT_ARCHER' AND Tag='CLASS_LIGHT_CHARIOT';
DELETE FROM TypeTags WHERE Type='UNIT_SUMERIAN_WAR_CART' AND Tag='CLASS_HEAVY_CHARIOT';
DELETE FROM TypeTags WHERE Type='UNIT_PRIVATEER' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_FRIGATE' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_ENGLISH_SEADOG' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_ENGLISH_SEADOG' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_QUADRIREME' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_WAR_GALLEY' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_IRONCLAD' AND Tag='CLASS_NAVAL_MELEE';
DELETE FROM TypeTags WHERE Type='UNIT_DESTROYER' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_DESTROYER' AND Tag='CLASS_ANTI_AIR';
DELETE FROM TypeTags WHERE Type='UNIT_BATTLESHIP' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_BRAZILIAN_MINAS_GERAES' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_YAMATO' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_SUBMARINE' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_SUBMARINE' AND Tag='CLASS_NAVAL_RAIDER';
DELETE FROM TypeTags WHERE Type='UNIT_SUBMARINE' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_GERMAN_UBOAT' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_GERMAN_UBOAT' AND Tag='CLASS_NAVAL_RAIDER';
DELETE FROM TypeTags WHERE Type='UNIT_GERMAN_UBOAT' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_NUCLEAR_SUBMARINE' AND Tag='CLASS_NAVAL_RAIDER';
DELETE FROM TypeTags WHERE Type='UNIT_NUCLEAR_SUBMARINE' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_MISSILE_CRUISER' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_PRIVATEER' AND Tag='CLASS_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_AMERICAN_AH64_APACHE' AND Tag='CLASS_AMERICAN_AH64_APACHE';
DELETE FROM TypeTags WHERE Type='UNIT_TREBUCHET' AND Tag='CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type='UNIT_ONAGER' AND Tag='CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type='UNIT_GATLING_GUN' AND Tag='CLASS_ANTI_CAVALRY';
DELETE FROM TypeTags WHERE Type='UNIT_MACHINE_GUN' AND Tag='CLASS_PLUS_10_DEFENDER';
DELETE FROM TypeTags WHERE Type='UNIT_MINUTEMAN' AND Tag='CLASS_MELEE';
DELETE FROM TypeTags WHERE Type='UNIT_BANDEIRANTE' AND Tag='CLASS_RANGED';
--DELETE FROM TypeTags WHERE Type='UNIT_SNIPER' AND Tag='CLASS_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_SNIPER' AND Tag='CLASS_SNIPER';
DELETE FROM TypeTags WHERE Type='UNIT_MODERN_SNIPER' AND Tag='CLASS_SNIPER';







